gvSIG sensors - Bugs #1430
La edicion de graficas se hace directamente sobre el documento
11/27/2012 11:31 AM - José Badia

Status: Fixed Start date: 11/27/2012
Priority: Normal Due date:

Assignee: José Badia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Al editar los gréficos, los cambios se realizan directamente sobre el documento. De forma que si se cancelan los cambios, éstos ya
estan realizados, siendo imposible deshacerlos.

Associated revisions

Revision 915 - 11/27/2012 11:59 AM - José Badia

refs #1430

La edicion de gréficas se hace directamente sobre el documento

Revision 916 - 11/27/2012 12:00 PM - José Badia

refs #1430

La edicion de gréaficas se hace directamente sobre el documento

History

#1 - 11/27/2012 11:33 AM - José Badia

La solucion pasa por hacer una copia del GroupedChart del documento cuando se abre el editor.

Se ha hecho que todas las clases necesarias implementen la clase Cloneable, implementando un método clone() que hace una copia del contenido

de la clase en un objeto nuevo.

#2 - 12/27/2012 10:36 AM - Francisco José Peifarrubia
- Status changed from In progress to Fixed

Esto ya funciona bien.
